Bug 74313 - SquirrelMail 1.2.7 vulnerable to XSS attacks
SquirrelMail 1.2.7 vulnerable to XSS attacks
Status: CLOSED ERRATA
Product: Red Hat Public Beta
Classification: Retired
Component: squirrelmail (Show other bugs)
null
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Gary Benson
: Security
: 74444 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-20 05:58 EDT by Gary Benson
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-10 10:50:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Script to check vulnerability (1.54 KB, text/plain)
2002-09-20 11:23 EDT, Gary Benson
no flags Details

  None (edit)
Description Gary Benson 2002-09-20 05:58:11 EDT
Description of Problem:
SquirrelMail 1.2.7 is vulnerable to a number of cross-site scripting attacks
that were fixed in 1.2.8.

http://marc.theaimsgroup.com/?l=bugtraq&m=103247206804691&w=2
http://marc.theaimsgroup.com/?l=bugtraq&m=103247843910484&w=2
Comment 1 Chris Ricker 2002-09-20 09:42:48 EDT
An errata upgrade to 1.2.8 (rather than a backport of the XSS fixes from 1.2.8
to 1.2.7) would be nice, since 1.2.8 also removes the need for register_globals....
Comment 2 Gary Benson 2002-09-20 11:23:19 EDT
Created attachment 76724 [details]
Script to check vulnerability
Comment 3 Gary Benson 2002-09-20 11:25:17 EDT
Note that SquirrelMail 1.2.7 (at least as we ship it) was never vulnerable to
the fourth test.
Comment 4 Gary Benson 2002-09-24 11:17:14 EDT
*** Bug 74444 has been marked as a duplicate of this bug. ***
Comment 5 Gary Benson 2002-09-24 11:19:28 EDT
These bugs have been designated CAN-2002-1131 and CAN-2002-1132.
Comment 6 Mark J. Cox (Product Security) 2002-10-10 10:50:51 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2002-204.html

Note You need to log in before you can comment on or make changes to this bug.